#!/usr/local/bin/bash

# Compile
make build 

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"

for N in {4..14..1}
do

	export OUT="avgtimeout_tsp_${RIGHTNOW}_${N}.out"
	touch ${OUT}

	echo "**************************************" >> ${OUT}
    echo "Running TSP with $N nodes with Java..." >> ${OUT}
    	
	for repetition in {0..10..1}
	do
		make time SIZE=${N} >> ${OUT} 2>&1
	done
    echo "Done." >> ${OUT}
 	echo "" >> ${OUT}

done

echo ""
echo ${OUTFILE}
echo ""

