#!/bin/sh
# 
# Extract the total calculation time from the output file. 
# Perform an averaging procedure on all numbers.
# Report the result back.

for f in `/bin/ls -1 avgtimeout_tstp*`
do
	touch tmpfile 
	cat /dev/null > tmpfile

	export N="`echo $f | sed 's/^.*_\([0-9]\{1,\}\).out/\1/'`"
	cat $f | grep "Elapsed" | cut -d" " -f3 >> tmpfile
	export AVG="`python calc_avg.py tmpfile`"
	echo "Average time : ${N}-node TSP problem : ${AVG}"

	rm tmpfile
done
