from __future__ import division
import sys
"""
calc_avg calculates the average of a file full of numbers and prints it out.

    $ calc_avg.py numbers.dat 
    5.402334

"""
def usage():
    print("Pass the name of the file with numbers to average as the first and only argument:")
    print("$ calc_avg.py numbers.dat")
    print("")


if(len(sys.argv) != 2):
    usage()
else:
    lines = []
    with open(sys.argv[1]) as f:
        lines = f.readlines()
    lines = [float(j) for j in lines]
    print("%0.6f"%(sum(lines)/len(lines)))


