# tsp - Traveling Salesperson Problem

 Solve, time, and profile programs solving the traveling salesperson problem in various languages. Solution relies on use of graph object.

## guava

Directory containing solutions to TSP using Google Guava library, 
a Java library for high-performance data containers.

![TSP Scaling with Guava](/img/tsp-java-scaling.png)

**Figure: Initial results of a scaling study with a Guava implementation of the Traveling Salesman Problem.**


## schoolteacher-guava

Solves the Traveling Schoolteacher Problem (a variation on the Traveling Salesperson Problem that introduces additional constraints).

See [schoolteacher-guava README](/schoolteacher-guava/README.md) for a more detailed description of the problem.

![TSP Scaling with Guava](/img/tstp-java-scaling.png)

**Figure: Initial results of a scaling study with a Guava implementation of the Traveling Schoolteacher Problem, a constrained version of the Traveling Salesperson Problem.**


## cpp

Directory containing solutions to TSP in C++.
Will use Boost.

