#!/usr/local/bin/bash

# Compile
make build 

export RIGHTNOW="`date +"%Y%m%d_%H%M%S"`"


# -----------
# Round 1

for N in {5..14..1}
do

	export OUT="avgtimeout_tstp_${RIGHTNOW}_${N}.out"
	touch ${OUT}

	echo "**************************************" >> ${OUT}
    echo "Running TSTP with $N nodes with Java..." >> ${OUT}
    	
	for repetition in {0..100..1}
	do
		make time SIZE=${N} TANK=10 >> ${OUT} 2>&1
	done
    echo "Done." >> ${OUT}
 	echo "" >> ${OUT}

done

echo ""
echo ${OUTFILE}
echo ""


echo "Whew. Halfway there."


# -----------
# Round 2

for N in {15..18..1}
do

	export OUT="avgtimeout_tstp_${RIGHTNOW}_${N}.out"
	touch ${OUT}

	echo "**************************************" >> ${OUT}
    echo "Running TSTP with $N nodes with Java..." >> ${OUT}
    	
	for repetition in {0..10..1}
	do
		make time SIZE=${N} TANK=10 >> ${OUT} 2>&1
	done
    echo "Done." >> ${OUT}
 	echo "" >> ${OUT}

done

echo ""
echo ${OUTFILE}
echo ""

